newbie question for installation

Hi all...
just something really confused.
Today I downloaded "ruby186-26.exe" according the tutorial..
then have it installed without problem
then I use "gem install rails --include--dependencies" to get rails
then when I use "rails testabc" for my first application
I got following errors:
.
..
...
      create script/process/reaper
      create script/process/spawner
      create script/process/inspector
      create script/runner
      create script/server
      create script/plugin
      create public/dispatch.rb
      create public/dispatch.cgi
      create public/dispatch.fcgi
      create public/404.html
(erb):9:in `template': compile error (SyntaxError)
(erb):9: syntax error, unexpected tINTEGER, expecting $end from
c:/ror/lib/
ruby/gems/1.8/gems/rails-2.1.0/bin/../lib/rails_generator/commands.rb:287:in
`te
mplate'
        from
c:/ror/lib/ruby/gems/1.8/gems/rails-2.1.0/bin/../lib/rails_generato
r/commands.rb:365:in `render_file'
        from
c:/ror/lib/ruby/gems/1.8/gems/rails-2.1.0/bin/../lib/rails_generato
r/commands.rb:363:in `open'
        from
c:/ror/lib/ruby/gems/1.8/gems/rails-2.1.0/bin/../lib/rails_generato
r/commands.rb:363:in `render_file'
        from
c:/ror/lib/ruby/gems/1.8/gems/rails-2.1.0/bin/../lib/rails_generato
r/commands.rb:246:in `file'
        from
c:/ror/lib/ruby/gems/1.8/gems/rails-2.1.0/bin/../lib/rails_generato
r/commands.rb:245:in `open'
        from
c:/ror/lib/ruby/gems/1.8/gems/rails-2.1.0/bin/../lib/rails_generato
r/commands.rb:245:in `file'
        from
c:/ror/lib/ruby/gems/1.8/gems/rails-2.1.0/bin/../lib/rails_generato
r/commands.rb:284:in `template'
         ... 6 levels...
        from
c:/ror/lib/ruby/gems/1.8/gems/rails-2.1.0/bin/../lib/rails_generato
r/scripts/../scripts.rb:31:in `run'
        from c:/ror/lib/ruby/gems/1.8/gems/rails-2.1.0/bin/rails:17
        from c:/ror/bin/rails:16:in `load'
        from c:/ror/bin/rails:16

anyone has an idea?
thx..

(erb):9: syntax error, unexpected tINTEGER, expecting $end

From what I've heard, recently patched ruby 1.8.6 has problems with
count() in rails. The solution was something like to redefine count().
Please check google.

snitko wrote:

(erb):9: syntax error, unexpected tINTEGER, expecting $end

From what I've heard, recently patched ruby 1.8.6 has problems with
count() in rails. The solution was something like to redefine count().
Please check google.

hmm, It's just a default installation...

hmm, It's just a default installation...

What's your 'ruby --vesrion' output?